Page MenuHomePhabricator

HTTP 503 Error editing a project description to add a link to a username not in the project
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Go to https://phabricator.wikimedia.org/project/profile/1619/
  2. Edit the description
  3. Replace "User:Mxn" with "@mxn"
  4. Attempt to save

Expected:

  • Description is updated

Actual:

  • You get an error, and the description is not updated

Event Timeline

Deskana created this task.Nov 6 2015, 6:48 PM
Deskana raised the priority of this task from to Needs Triage.
Deskana updated the task description. (Show Details)
Deskana added a project: Phabricator.
Deskana added subscribers: Deskana, mxn.
Restricted Application added subscribers: StudiesWorld, scfc, Aklapper. · View Herald TranscriptNov 6 2015, 6:48 PM
Deskana updated the task description. (Show Details)Nov 6 2015, 6:48 PM
Deskana set Security to None.

Note that if I try to add a link to my own username instead of @mxn, it works. Perhaps this is because I am a member of the project and @mxn is not?

Krenair renamed this task from Trying to add a link to a username in a project description gives you an error, and the update to the description fails to Editing a project description to add a link to a username not in the project gives you an error.Nov 6 2015, 6:51 PM

If you get an error, please always paste the error message. Thanks.

Krenair added a subscriber: Krenair.Nov 6 2015, 7:12 PM

If you get an error, please always paste the error message. Thanks.

Wikimedia
Error
Our servers are currently experiencing a technical problem. This is probably temporary and should be fixed soon.
Please try again in a few minutes.

If you report this error to the Wikimedia System Administrators, please include the details below.

Request: POST http://phabricator.wikimedia.org/project/details/1619/, from 10.64.0.106 via cp1069 cp1069 ([10.64.0.106]:80), Varnish XID 390684544
Forwarded for: [redacted], 10.64.0.106
Error: 503, Service Unavailable at Fri, 06 Nov 2015 19:12:01 GMT

Aklapper renamed this task from Editing a project description to add a link to a username not in the project gives you an error to HTTP 503 Error editing a project description to add a link to a username not in the project.Nov 9 2015, 10:23 AM
Aklapper triaged this task as Normal priority.

This may be a duplicate of T121071, and resolved upstream if so.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptFeb 12 2016, 4:04 AM
Aklapper closed this task as Resolved.Feb 18 2016, 11:16 AM
Aklapper claimed this task.

This problem cannot be reproduced anymore as I could just edit the project description. Closing as resolved.